%def_disable static

Name: exiv2
Version: 0.12
Release: alt3

Summary: Command line tool to access EXIF data in image files
License: GPLv2+
Group: Graphics

Url: http://www.exiv2.org
Source0: %url/exiv2-%version.tar.gz
Patch0: exiv2-0.13-CVE-2007-6353.patch

# Automatically added by buildreq on Mon Nov 27 2006
BuildRequires: gcc-c++ zlib-devel

%description
Exiv2 comprises of a C++ library and a command line utility to access image
metadata. Exiv2 supports full read and write access to the Exif and IPTC
metadata, Exif MakerNote support, extract and delete methods for Exif
thumbnails, classes to access Ifd and so on.

%package -n libexiv2
Summary: Exif and Iptc metadata manipulation library
Group: Graphics

%description -n libexiv2
libexiv2 is a C++ library to access image metadata.

%package -n libexiv2-devel
Summary: Headers and links to compile against the exiv2 library
Group: Development/C
Requires: libexiv2 = %version-%release

%description -n libexiv2-devel
This package contains all files which one needs to compile programs using
the exiv2 library.

%prep
%setup
%patch0 -p1

%build
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_bindir/exiv2
%_man1dir/*

%files -n libexiv2
%_libdir/libexiv2-*.so

%files -n libexiv2-devel
%_bindir/exiv2-config
%_libdir/libexiv2.so
%_includedir/*
%_pkgconfigdir/*

%changelog
* Thu Dec 27 2007 Victor Forsyuk <force@altlinux.org> 0.12-alt3
- Library itself was included by mistake in both library and devel subpackages.
  Now we package in -devel only library symlink, as it should be. This in fact
  fixes ALT#13805.

* Mon Dec 24 2007 Victor Forsyuk <force@altlinux.org> 0.12-alt2
- Security fix: CVE-2007-6353.

* Mon Nov 27 2006 Victor Forsyuk <force@altlinux.org> 0.12-alt1
- Initial build.
